/*******************************************************************************
 * PROJECT         IPAQ C530/R530 (X)
 * FILE            5BEA01_Pdm.DDL
 * RevNo.:         $Rev: $
 *------------------------------------------------------------------------------
 * LANGUAGE        HART-DDL, PROFIBUS-EDDL, FF-DDL
 * TOOLS           Code analysis:
 *                  is EDD Workbench v1.4.1
 *                 Tokenizer:
 *                  HCF_TOOL-24 Tokenizer Ver 5.1.12
 *                  HCF_TOOL-24 Tokenizer Ver 6.3.5
 *                  HCF_TOOL-24 Tokenizer Ver 8.1.32
 *                  SIMATIC PDM V9.0 + SP1
 * TARGETSYSTEM    SDC625 / FC375/475 / AMS / PDM / FDM
 *------------------------------------------------------------------------------
 * DESCRIPTION     Basis of Device Description
 *                 contains DD identification
 *                 and includes all other device description parts
 *
 ******************************************************************************/

/*
 * LOG:
 * Dev/DD  date     author  mark    reason
 * 01.01   17-08-22 GeorgB          1st version
 */

//MANUFACTURER KROHNE, DEVICE_TYPE _C530, DEVICE_REVISION 01, DD_REVISION 01
// IDs defined numerical here because otherwise the PDM tokenizer issues an
// error message unless the PDM list of HART device types "SI__DEV01.cfg"
// contains the respective entry
MANUFACTURER 91, DEVICE_TYPE 23530, DEVICE_REVISION 1, DD_REVISION 1

// DD version string according to NAMUR recommendation
// Level 1 refers to the DEVICE_TYPE and is therefore always "01" fixed
// Level 2 refers to the DEVICE_REVISION
// Level 3 refers to the DD_REVISION
#define G_ST5_VERSION_DD \
    "01.11"

// DD version string supplement according to NAMUR recommendation
// "X 01" for special software, numbering 01 to n
// "PRE 01" for preliminary software, numbering 01 to n
#define G_ST11_VERSION_DD_SUPPLEMENT \
    ""
#ifndef G_ST11_VERSION_DD_SUPPLEMENT
  #define G_ST11_VERSION_DD_SUPPLEMENT \
    "           "
#endif

// Help text for the local variable for displaying the DD version string
// according to NAMUR recommendation NE 53
#define hlpVersionDd \
    "|en|Version number of the device description according to NAMUR recommendation. " \
        "\r\nYou are currently working with version: " G_ST5_VERSION_DD G_ST11_VERSION_DD_SUPPLEMENT \
    "|de|Version der Device-Description gemaess NAMUR-Empfehlung. " \
        "\r\nSie arbeiten gerade mit Version: " G_ST5_VERSION_DD G_ST11_VERSION_DD_SUPPLEMENT

#define dscNameManufacturer \
    "Inor"

#define G_PTH_IMAGE_MANUFACTURER    "5BEA01_MANUF.gif"

#define dscNameDevice \
    "IPAQ C530/R530 (X)"

#define G_PTH_IMAGE_DEVICE          "5BEA01_DEVICE.gif"

#define G_ELS_MANUFACTURER_ID_PL \
    {  91, dscNameManufacturer }

#define G_ELS_DEVICE_TYPE_PL \
    { 23530, dscNameDevice }

#define G_ELS_EXP_DEVICE_TYPE_PL \
    { 0x5BEA, dscNameDevice }

#define G_PTH_IMAGE_ORIENT_PI                   "5BEA01_ORIENT_PI.jpg"

#define G_PTH_IMAGE_ORIENT_PI_SENSOR            "5BEA01_ORIENT_PI_SENSOR.jpg"

#define G_PTH_IMAGE_ORIENT_PI_CALIBRATION       "5BEA01_ORIENT_PI_CALIBRATION.jpg"

#define G_PTH_IMAGE_ORIENT_PI_FILTER            "5BEA01_ORIENT_PI_FILTER.jpg"

//#define G_PTH_IMAGE_ORIENT_PI_SELFTEST          "5BEA01_ORIENT_PI_SELFTEST.jpg"

#define G_PTH_IMAGE_ORIENT_PI_HART              "5BEA01_ORIENT_PI_HART.jpg"

#define G_PTH_IMAGE_ORIENT_UNITS                "5BEA01_ORIENT_UNITS.jpg"

#define G_PTH_IMAGE_ORIENT_DIAGNOSTIC           "5BEA01_ORIENT_DIAGNOSTIC.jpg"

#define G_PTH_IMAGE_ORIENT_IDENT                "5BEA01_ORIENT_IDENT.jpg"

#define G_PTH_IMAGE_ORIENT_IO_CURRENT           "5BEA01_ORIENT_IO_CURRENT.jpg"

//#define G_PTH_IMAGE_ORIENT_IO_FREQUENCY         "5BEA01_ORIENT_IO_FREQUENCY.jpg"

//#define G_PTH_IMAGE_ORIENT_IO_STATUS            "5BEA01_ORIENT_IO_STATUS.jpg"

//#define G_PTH_IMAGE_ORIENT_IO_LIMIT_SWITCH      "5BEA01_ORIENT_IO_LIMITSWITCH.jpg"

//#define G_PTH_IMAGE_ORIENT_IO_CONTROL           "5BEA01_ORIENT_IO_CONTROL.jpg"

//#define G_PTH_IMAGE_ORIENT_IO_TOTALIZER         "5BEA01_ORIENT_IO_TOTALIZER.jpg"

//#define G_PTH_IMAGE_ORIENT_IO_SELECTION         "5BEA01_ORIENT_IO_SELECTION.jpg"

//#define G_PTH_IMAGE_ORIENT_DISPLAY              "5BEA01_ORIENT_DISPLAY.jpg"

#define G_PTH_IMAGE_ORIENT_HART                 "5BEA01_ORIENT_HART.jpg"

#define G_PTH_IMAGE_ORIENT_IO_HART              "5BEA01_ORIENT_IO_HART.jpg"

#define G_PTH_IMAGE_STATUS_DIAGNOSIS_ACTIVE     "5BEA01_STATUS_DIAGNOSIS_ACTIVE.png"

#define G_PTH_IMAGE_STATUS_FAILURE              "5BEA01_STATUS_FAILURE.png"

#define G_PTH_IMAGE_STATUS_FUNCTION_CHECK       "5BEA01_STATUS_FUNCTION_CHECK.png"

#define G_PTH_IMAGE_STATUS_OUT_OF_SPECIFICATION "5BEA01_STATUS_OUT_OF_SPECIFICATION.png"

#define G_PTH_IMAGE_STATUS_MAINTENANCE_REQUIRED "5BEA01_STATUS_MAINTENANCE_REQUIRED.png"

#define G_PTH_IMAGE_STATUS_FAILURE_INACTIVE                 "5BEA01_STATUS_FAILURE_INACTIVE.png"

#define G_PTH_IMAGE_STATUS_FUNCTION_CHECK_INACTIVE          "5BEA01_STATUS_FUNCTION_CHECK_INACTIVE.png"

#define G_PTH_IMAGE_STATUS_OUT_OF_SPECIFICATION_INACTIVE    "5BEA01_STATUS_OUT_OF_SPECIFICATION_INACTIVE.png"

#define G_PTH_IMAGE_STATUS_MAINTENANCE_REQUIRED_INACTIVE    "5BEA01_STATUS_MAINTENANCE_REQUIRED_INACTIVE.png"


/*******************************************************************************
 * includes
 * (don't change the order)
 *******************************************************************************/
#include "Methods.h"
#include "Macros.h"

/* Switch definitions, text replacement and macros */
#include "5BEA01_MAC.dd"

/* Dictionary */
#include "5BEA01_DIC.dd"

// device variables and analog channels according to HART standard
#include "5BEA01_DVAC_MDL_Pdm.dd"

// Import/adaptation of standard tables, commands, methods
#include "5BEA01_IMP_Pdm.dd"

// Include of Real Time Clock variables and commands
//#include "5BEA01_RTC_Pdm.dd"

// Burst mode
#ifdef G_DEF_SUPPORT_BURST
#include "5BEA01_BURST_MDL_Pdm.dd"
#endif

// Data model
#include "5BEA01_MDL.dd"

// Commands
#include "5BEA01_CMD.dd"
//#include "5BEA01_SCMD.dd"

// Menues
#include "5BEA01_MNU.dd"

// Up-/Download menus etc.
#include "5BEA01_GEN.dd"
